<?php

class PieceSquadroUI {

    public static function generateEmptyCell() {
        return '<button class="cell" disabled></button>';
    }

    public static function generateNeutralCell() {
        return '<button class="Limites" disabled></button>';
    }

    public static function generateValidCell() {
        return '<button class="CaseValide" disabled></button>';
    }

    public static function generatePieceCell($color, $x, $y, $isActive) {
        $pieceClass = ($color == 'white') ? 'piece white' : 'piece black';
        $disabled = $isActive ? '' : 'disabled';
        $link = $isActive ? "window.location.href='confirm.php?x=$x&y=$y';" : '';
    
        return "
            <button class='cell' $disabled onclick=\"$link\">
                <div class='$pieceClass'></div>
            </button>
        ";
    }

}
?>
